Extending Qt Creator Manual | DesktopDevice

Extending Qt Creator Manual 4.3.0

# DesktopDevice Class

(ProjectExplorer::DesktopDevice)

Inherits: | ProjectExplorer::IDevice

- List of all members, including inherited members

## Protected Functions

| DesktopDevice()
| DesktopDevice(const DesktopDevice &other)

### Additional Inherited Members

- 36 public functions inherited from ProjectExplorer::IDevice
- 4 static public members inherited from ProjectExplorer::IDevice

## Member Function Documentation

### `[protected]` DesktopDevice::DesktopDevice()

Default constructs an instance of DesktopDevice.

### `[protected]` DesktopDevice::DesktopDevice(const DesktopDevice &other)

Copy constructor.